Subject: Re: [PATCH v2 1/2] CI: limit GitHub Actions to designated branches

From: Junio C Hamano <[email-masked]>
Date: Mon, 04 May 2020 15:52:44 -0700

Taylor Blau <[email-masked]> writes:

> Huh; I'm not sure that I'm sold on the idea of a 'for-ci' namespace
> here. In addition to running 'make test' on patches locally before I
> send them, I find it tremendously convenient for GitHub to run them for
> me when I push 'tb/' branches up to 'ttaylorr/git'.
>
> So, while the above is more-or-less what I'd expect the monitored list
> of branches to look like (at least, ignoring the missing 'for-ci/**'
> bits), I wish that I could also build every branch that I push up to my
> fork.
>
> Of course, I don't want to maintain a one-patch difference between
> ttaylorr/git@master and git/git@master, so I wonder if we could get a
> little more creative with these rules and actually run Actions on
> *every* branch, but introduce a new first step which stops the rest of
> the actions run (so that in practice we're not running CI on
> non-integration branches in Junio's tree).

Hmph, what are we trying to avoid by using the for-ci/ convention?

If this is only a reaction to what I said earlier (i.e. "building
everything in github.com/gitster/git/ has no value to me"), then I
suspect it may be an over-engineered solution to a problem that does
not exist, and harms people like you.  I could just go there and
turn off GitHub Actions for that repository instead.

Or are there more issues being addressed with the "testing branches
are opt-in, unless a pull request against git/git explicitly says it
is ready to be tested" approach?